Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

cacheadmin.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: cacheadmin.php 9465 2002-04-24 07:38:20Z jhe $
5 //
6 // Created on: <05-Jul-2001 14:40:06 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include_once( "classes/INIFile.php" );
28 // include_once( "classes/eztemplate.php" );
29 // include_once( "classes/ezlist.php" );
30
31 $ini =& eZINI::instance( 'site.ini' );
32 $Language = $ini->variable( "eZSiteManagerMain", "Language" );
33 $Limit = $ini->variable( "eZSiteManagerMain", "AdminListLimit" );
34
36
37 $t = new eZTemplate( "kernel/ezsitemanager/admin/" . $ini->variable( "eZSiteManagerMain", "AdminTemplateDir" ),
38 "kernel/ezsitemanager/admin/" . "/intl", $Language, "cacheadmin.php" );
39 $t->setAllStrings();
40
41 $t->set_file( "cache_admin_tpl", "cacheadmin.tpl" );
42
43 $t->set_block( "cache_admin_tpl", "cache_results_tpl", "cache_results" );
44
45 $t->set_var( "cache_results", "" );
46 if ( isset( $ClearCache ) )
47 {
48 // save the buffer contents
49 $buffer =& ob_get_contents();
50 ob_end_clean();
51
52 // fetch the system printout
53 ob_start();
54 if ( isset( $GLOBALS["WINDIR"] ) && trim( $GLOBALS["WINDIR"] ) != "" )
55 system( $siteDir . "./bin/win32/clearcache.bat" );
56 else
57 system( $siteDir . "./bin/shell/clearcache.sh" );
58 $ret = ob_get_contents();
59 ob_end_clean();
60
61 // fill the buffer with the old values
62 ob_start();
63 print( $buffer );
64
65 $t->set_var( "cache_return", $ret );
66
67 $t->parse( "cache_results", "cache_results_tpl" );
68 }
69
70 $t->pparse( "output", "cache_admin_tpl" );
71
72 ?>
$Limit
$Limit
Definition: cacheadmin.php:33
$t
$t
Definition: cacheadmin.php:37
$Language
$Language
Definition: cacheadmin.php:32
$ini
$ini
Definition: cacheadmin.php:31
eZTemplate
Definition: eztemplate.php:107
$siteDir
else $siteDir
Definition: cron_alerts.php:43
$ret
$ret
Definition: ezsitemanager/admin/filelist.php:88
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.